Subject: [bug#77266] [PATCH] gnu: Merge xorg configurations when extending.

From: Ian Eure <[email-masked]>
Date: Thu, 24 Apr 2025 16:58:36 -0700

Hi Ludo’,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Ian Eure <[email-masked]> writes:
>
>>>   (append (list (service gdm-service-type)
>>>                 %xorg-intel-service
>>>                 …)
>>>           @dots{})
>>
>> Can make these changes, but I’m curious why (append (list ...) 
>> ...) is
>> preferred over cons*.  I default to the latter, because I like 
>> the
>> removal of the extra level of indent.
>
> In most of the examples in the documentation, we went for 
> ‘append’
> because it less obscure to a newcomer than ‘cons*’ (or ‘cons’, 
> even).
>
> That’s also what the installer generates, and ‘guix home import’ 
> I
> believe.

Makes sense.  I sent a v4 with these changes and some doc 
rewording.

Thanks,

  -- Ian